import type { _INTemporalEventTriggerResolutionResult } from "./INTemporalEventTriggerResolutionResult.js";
import type { INAddTasksTemporalEventTriggerUnsupportedReason } from "./INAddTasksTemporalEventTriggerUnsupportedReason.js";
export declare class _INAddTasksTemporalEventTriggerResolutionResult extends _INTemporalEventTriggerResolutionResult {
    static alloc(): _INAddTasksTemporalEventTriggerResolutionResult;
    static new(): _INAddTasksTemporalEventTriggerResolutionResult;
    init(): _INAddTasksTemporalEventTriggerResolutionResult;
    static unsupportedForReason$(reason: INAddTasksTemporalEventTriggerUnsupportedReason): _INAddTasksTemporalEventTriggerResolutionResult;
    initWithTemporalEventTriggerResolutionResult$(temporalEventTriggerResolutionResult: _INTemporalEventTriggerResolutionResult): _INAddTasksTemporalEventTriggerResolutionResult;
}
